################################################################################
# Autogenerated bird configuration
# Do not edit this file manually! Use /opt/usp/bin/update_conf.sh.
################################################################################

log syslog all;
debug protocols { states, routes, filters, interfaces };
router id 172.16.101.1;
table t_secondary;

filter ospf_networks {
	if net = 172.16.101.0/24 then accept;
	if net = 172.16.111.0/24 then accept;
	if net = 172.16.151.0/24 then accept;
	if net = 0.0.0.0/0 then accept;
	if net = 172.16.102.0/24 then accept;
	else reject;
}

filter ospf_proto {
	if net = 0.0.0.0/0 then reject;
	if source ~ [ RTS_OSPF_EXT2, RTS_OSPF ] then accept;
	else reject;
}

protocol direct {
	interface "*";
}

protocol kernel k_master {
	kernel table 254;
	learn;
	persist;
	scan time 10;
	import all;
	export filter ospf_proto;
}

protocol kernel k_secondary {
	table t_secondary;
	kernel table 10;
	learn;
	scan time 10;
	import all;
	export none;
}

protocol pipe p_secondary {
	table t_secondary;
	peer table master;
	import all;
	export all;
}

protocol device {
	scan time 10;
}

protocol static {
}

protocol ospf {
	tick 2;
	import all;
	export filter ospf_networks;
	rfc1583compat no;
	area 0.0.0.0 {
		interface "gAAchgut2" {
			type pointopoint;
			authentication none;
			cost 16;
			hello 2;
			dead 10;
		};
		interface "gABchgut2" {
			type pointopoint;
			authentication none;
			cost 21;
			hello 2;
			dead 10;
		};
		interface "gBAchgut2" {
			type pointopoint;
			authentication none;
			cost 31;
			hello 2;
			dead 10;
		};
		interface "gBBchgut2" {
			type pointopoint;
			authentication none;
			cost 36;
			hello 2;
			dead 10;
		};
		interface "gAAchgut4" {
			type pointopoint;
			authentication none;
			cost 20;
			hello 2;
			dead 10;
		};
		interface "gABchgut4" {
			type pointopoint;
			authentication none;
			cost 25;
			hello 2;
			dead 10;
		};
		interface "gBAchgut4" {
			type pointopoint;
			authentication none;
			cost 30;
			hello 2;
			dead 10;
		};
		interface "gBBchgut4" {
			type pointopoint;
			authentication none;
			cost 35;
			hello 2;
			dead 10;
		};
		interface "gEEchgut4" {
			type pointopoint;
			authentication none;
			cost 15;
			hello 2;
			dead 10;
		};
		interface "gAAchgut5" {
			type pointopoint;
			authentication none;
			cost 16;
			hello 2;
			dead 10;
		};
		interface "gABchgut5" {
			type pointopoint;
			authentication none;
			cost 21;
			hello 2;
			dead 10;
		};
		interface "gBAchgut5" {
			type pointopoint;
			authentication none;
			cost 31;
			hello 2;
			dead 10;
		};
		interface "gBBchgut5" {
			type pointopoint;
			authentication none;
			cost 36;
			hello 2;
			dead 10;
		};
		interface "gAAchgut6" {
			type pointopoint;
			authentication none;
			cost 16;
			hello 2;
			dead 10;
		};
		interface "gABchgut6" {
			type pointopoint;
			authentication none;
			cost 21;
			hello 2;
			dead 10;
		};
		interface "gBAchgut6" {
			type pointopoint;
			authentication none;
			cost 31;
			hello 2;
			dead 10;
		};
		interface "gBBchgut6" {
			type pointopoint;
			authentication none;
			cost 36;
			hello 2;
			dead 10;
		};
		interface "gAAchgut7" {
			type pointopoint;
			authentication none;
			cost 16;
			hello 2;
			dead 10;
		};
		interface "gBAchgut7" {
			type pointopoint;
			authentication none;
			cost 31;
			hello 2;
			dead 10;
		};
		interface "gAAchgut8" {
			type pointopoint;
			authentication none;
			cost 16;
			hello 2;
			dead 10;
		};
		interface "gBAchgut8" {
			type pointopoint;
			authentication none;
			cost 31;
			hello 2;
			dead 10;
		};
		interface "gAAchgut10" {
			type pointopoint;
			authentication none;
			cost 15;
			hello 2;
			dead 10;
		};
		interface "gABchgut10" {
			type pointopoint;
			authentication none;
			cost 20;
			hello 2;
			dead 10;
		};
		interface "gBAchgut10" {
			type pointopoint;
			authentication none;
			cost 30;
			hello 2;
			dead 10;
		};
		interface "gBBchgut10" {
			type pointopoint;
			authentication none;
			cost 35;
			hello 2;
			dead 10;
		};
		interface "gAAchgut11" {
			type pointopoint;
			authentication none;
			cost 15;
			hello 2;
			dead 10;
		};
		interface "gBAchgut11" {
			type pointopoint;
			authentication none;
			cost 30;
			hello 2;
			dead 10;
		};
		interface "gAAchgut12" {
			type pointopoint;
			authentication none;
			cost 15;
			hello 2;
			dead 10;
		};
	};
}
